Bug 1282012 - Review Request: palo-client-cpp - Palo Database C++ Client
Review Request: palo-client-cpp - Palo Database C++ Client
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1209166
Blocks: 1282438
  Show dependency treegraph
 
Reported: 2015-11-14 04:31 EST by Michael John Arnold
Modified: 2017-08-16 04:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael John Arnold 2015-11-14 04:31:46 EST

    
Comment 1 Michael John Arnold 2015-11-14 04:33:02 EST
Spec URL: https://myk52348.fedorapeople.org/palo-client-c/0.0.0/palo-client-c.spec
SRPM URL: https://myk52348.fedorapeople.org/palo-client-c/0.0.0/palo-client-c-0.0.0-0.fc23.src.rpm

Description: c++ client library (libpalo_ng) for accessing the Palo OLAP server and an associated set of header (.h) files for using the c++ library.  Palo OLAP server is a cell-oriented, multi-dimensional in-memory OLAP server typically used for analysis and data consolidation. Multi-dimensional data can be queried interactively and written back for further consolidation. The server stores and manipulates data in memory.

Fedora Account System Username:myk52348

Thanks and regards,
Michael
Comment 2 Michael John Arnold 2015-11-15 10:00:57 EST
Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
COMMENT: not sure how to solve this.  Since -devel is noarch package including a .so in -devel as suggested by the Packaging guidelines caused the koji build to fail.
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/include/libpalo_ng/Network
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
COMMENT: this issues seems to be incorrectly reported by fedora-review, since Network is not included twice in the .spec


===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "LGPL (v2 or later)", "GPL (v2 or
     later)", "GPL (v3 or later)", "Unknown or generated". 35 files have
     unknown license. Detailed output of licensecheck in /home/myk/rpm-test
     /review-palo-client-cpp/licensecheck.txt
COMMENT: reviewing the detail of licensecheck.txt shows that the actual source is consistently licensed for GPLv2, but various generated and automake files are licensed under other licenses.
[X]: License file installed when any subpackage combination is installed.
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://svn.code.sf.net/p/palo/code/molap/server/5.1/palo-client-
     cpp.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
COMMENT: .tar.gz not available upstream; provided by packager; path is location of upstream
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in palo-
     client-cpp-devel , palo-client-cpp-debuginfo
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Scriptlets must be sane, if used.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
COMMENT: URL is provided.  This comment seems incorrect
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: palo-client-cpp-0.0.0-0.fc22.x86_64.rpm
          palo-client-cpp-devel-0.0.0-0.fc22.noarch.rpm
          palo-client-cpp-debuginfo-0.0.0-0.fc22.x86_64.rpm
          palo-client-cpp-0.0.0-0.fc22.src.rpm
palo-client-cpp.x86_64: W: no-documentation
palo-client-cpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libpalo_ng.so
COMMENT: As noted above, not sure how to solve this.  Since -devel is noarch package including a .so caused the koji build to fail.
palo-client-cpp-devel.noarch: W: no-documentation
palo-client-cpp.src: W: invalid-url Source0: https://svn.code.sf.net/p/palo/code/molap/server/5.1/palo-client-cpp.tar.gz HTTP Error 404: Not Found
COMMENT: as noted above, the URL is valud and defines the upstream location where the source is provide.  .tar.gz provided by packager.
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: palo-client-cpp-debuginfo-0.0.0-0.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
palo-client-cpp.x86_64: W: no-documentation
palo-client-cpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libpalo_ng.so
COMMENT: As noted above, not sure how to solve this.  Since -devel is noarch package including a .so caused the koji build to fail.
palo-client-cpp-devel.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
palo-client-cpp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_regex.so.1.57.0()(64bit)
    libboost_system.so.1.57.0()(64bit)
    libboost_thread.so.1.57.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libicui18n.so.54()(64bit)
    libicuuc.so.54()(64bit)
    libm.so.6()(64bit)
    libpalo_ng.so.0()(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    rtld(GNU_HASH)

palo-client-cpp-devel (rpmlib, GLIBC filtered):

palo-client-cpp-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
palo-client-cpp:
    libpalo_ng.so.0()(64bit)
    palo-client-cpp
    palo-client-cpp(x86-64)

palo-client-cpp-devel:
    palo-client-cpp-devel

palo-client-cpp-debuginfo:
    palo-client-cpp-debuginfo
    palo-client-cpp-debuginfo(x86-64)



Unversioned so-files
--------------------
palo-client-cpp: /usr/lib64/libpalo_ng.so

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n palo-client-cpp
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.